(function($) {
	$.fn.webApp = function(config) {
		/* 引数の初期値を設定（カンマ区切り） */
		var defaults = {
			contents : "#content",
			url : "/",
			target : this
		};
		var options = $.extend(defaults, config);

		loadBase();
		function loadBase() {
			$(
					'<div class="loadingTable"><img src="css/loadingTable.gif" class="loadingTable"/></div>')
					.appendTo('body');
			$.get(defaults.url, function(data) {
				$('.loadingTable').remove();
				$(defaults.target).empty();
				var retHtml = $(data).find(defaults.contents);
				$(defaults.target).append(retHtml.html());
				$("a").click(function() {
					loadDialg($(this).attr('href'));
					return false;
				});
			});
		}

		function loadDialg(url, req) {
			$(
					'<div class="loadingTable"><img src="css/loadingTable.gif" class="loadingTable"/></div>')
					.appendTo('body');
			$.get(url, req, function(data) {
				$('.loadingTable').remove();
				var retHtml = $(data).find(defaults.contents);
				$('#dialog').remove();
				$('<div id="dialog" />').appendTo('body')
						.append(retHtml.html());
				$('#dialog').dialog({
					resizable : true,
					height : 600,
					width : 800,
					modal : true,
					hide : 'fade',
					buttons : makeDialogButtons()
				});
				$('#dialog #modifypage').submit(
						function() {
							loadDialg($(this).attr('action'), $(this)
									.serializeArray());
							// $.get($(this).attr('action'), $(this)
							// .serializeArray(), function(data) {
							// var retHtml = $(data).find(defaults.contents);
							// $('#dialog').empty().append(retHtml.html());
							//
							// });
							//
							return false;
						});

				$('#dialog #propertyform, #dialog #edit').submit(
						function() {
							$('#dialog').dialog('close');
							$.post($(this).attr('action'), $(this)
									.serializeArray(), function() {
								loadBase();
							});
							return false;
						});

				$('#dialog a').click(function() {
					loadDialg($(this).attr('href'));
					return false;
				});

			});

		}

		function makeDialogButtons() {
			var ret;
			var submits = $('#dialog form div.buttons input[type=submit]');
			// for (i = 0; i < submits.length; i++) {
			// ret[i] = {
			// $(submits[i]).attr('value'):function(){}
			// };
			// }
			return ret;
		}
		return this;
		/*
		 * this.load(defaults.url + " " + defaults.contents); $(
		 * defaults.contents + ' a').click(function(){
		 * $('body').append('div').dialog(); return false; });
		 */
	};
})(jQuery);